Subject: Re: [TR] TRF

From: "Greg Lemon" <[email-masked]>
Date: Sat, 8 Aug 2015 18:40:14 -0500

And since shipping has come up, kudos to Moss, I ordered a speedo cable 
Thursday, got a shipping notice Friday, and it is here today.  Now that 
might not seem like much to those of you close to the shipping centers on 
the coasts, but in the middle of the country Moss orders usually would take 
a week (order on Monday, arrive by Friday, or maybe even the next Monday.

They are shipping small stuff USPS, charged a reasonable 6 bucks, and it got 
here in a jiffy, now I have to work up the gumption to crawl under the car 
to install it.  Not comparing Moss to TRF, I like and use them both, just 
was very pleased with the shipping experience.

Greg Lemon

--------------------------------------------------
From: "Bob Labuz" <[email-masked]>
Sent: Saturday, August 8, 2015 1:26 PM
To: "Triumphs List" <[email-masked]>; "TR-6 list" 
<[email-masked]>
Subject: [TR] TRF

> Well,
>
> I just received a message from Albert Runyan from TRF about my query.
>
> It turns out that the USPS is indeed in error. Albert said that they have 
> made the USPS aware of the problem but they say the problem can't be 
> fixed. Yes another govt. snafu.
>
> TRF did not open a mid west office! They are still in PA.
>
> I believe one list member did suggest a USPS snafu. You were correct!
>
> Bob
>
> ** [email-masked] **
>
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/archive
> Forums: http://www.team.net/forums
> Unsubscribe/Manage: 
> http://autox.team.net/mailman/options/triumphs/[email-masked] 

** [email-masked] **

Archive: http://www.team.net/archive